curl -X POST https://api.helvcore.ch/v1/stripe/events \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
}'const res = await fetch("https://api.helvcore.ch/v1/stripe/events", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.HELVCORE_API_KEY}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json"
},
body: JSON.stringify({
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
})
});
const data = await res.json();import os, requests, uuid
headers = {"Authorization": f"Bearer {os.environ['HELVCORE_API_KEY']}"}
headers["Idempotency-Key"] = str(uuid.uuid4())
headers["Content-Type"] = "application/json"
res = requests.post("https://api.helvcore.ch/v1/stripe/events", headers=headers, json={
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
})
data = res.json()
curl -X POST https://api.helvcore.ch/v1/stripe/events \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
}'
202
{
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
}
{
"accounting_finality": "none",
"allocation_id": {},
"api_version": "string",
"candidates": {
"chargebacks": [
{
"allocation_id": {},
"amount": {},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"id": "string",
"journal_entry_id": {},
"mapping_status": "explicit",
"object": "stripe_payment_candidate",
"payload_sha256": "string",
"raw_amount_minor": 123,
"raw_currency": "string",
"review_reason": "string",
"status": "review_required"
}
],
"fees": [
{
"allocation_id": {},
"amount": {},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"id": "string",
"journal_entry_id": {},
"mapping_status": "explicit",
"object": "stripe_payment_candidate",
"payload_sha256": "string",
"raw_amount_minor": 123,
"raw_currency": "string",
"review_reason": "string",
"status": "review_required"
}
],
"payments": [
{
"allocation_id": {},
"amount": {},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"id": "string",
"journal_entry_id": {},
"mapping_status": "explicit",
"object": "stripe_payment_candidate",
"payload_sha256": "string",
"raw_amount_minor": 123,
"raw_currency": "string",
"review_reason": "string",
"status": "review_required"
}
],
"refunds": [
{
"allocation_id": {},
"amount": {},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"id": "string",
"journal_entry_id": {},
"mapping_status": "explicit",
"object": "stripe_payment_candidate",
"payload_sha256": "string",
"raw_amount_minor": 123,
"raw_currency": "string",
"review_reason": "string",
"status": "review_required"
}
]
},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"event_type": "string",
"id": "string",
"journal_entry_id": {},
"livemode": true,
"mapping_status": "explicit",
"normalized_at": "2026-03-31T12:00:00Z",
"object": "stripe_event_ingestion"
}
{
"event_type": "string",
"payload": {},
"stripe_event_id": "string",
"api_version": "string",
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"livemode": true,
"stripe_account_id": "string"
}